curl --request GET \
--url https://api.voicedub.ai/v1/voices \
--header 'Authorization: <api-key>'import requests
url = "https://api.voicedub.ai/v1/voices"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.voicedub.ai/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voices": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Plankton",
"languages": [
"english",
"spanish"
],
"genres": [
"pop",
"country"
],
"styles": [
"singing",
"speaking"
],
"avatarFormat": "webp",
"createdAt": "2024-01-15T10:00:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z",
"avatarUrl": "https://example.com/voices/123e4567-e89b-12d3-a456-426614174000.webp"
}
],
"nextCursor": "2_123e4567-e89b-12d3-a456-426614174001"
}Get public voices
Retrieve a paginated list of public voices available for use. Supports filtering by search, genres, languages, and styles.
Filter logic: Multiple values inside the same filter are OR’d (e.g., languages=[english, spanish] matches voices that support English OR Spanish). Different filters are combined with AND (e.g., languages AND genres AND styles must all match).
Authorizations
API key in the format: "Api-Key "
Query Parameters
Search term to filter voices by name
1 - 50"plankton"
Filter by musical genres. Multiple values are OR'd within this filter and combined with other filters using AND.
pop, rap, rock, country, rnb, alternative, jazz ["pop", "country"]
Filter by supported languages. Multiple values are OR'd within this filter and combined with other filters using AND.
english, spanish, korean, japanese, french, russian, thai ["english"]
Filter by voice styles. Multiple values are OR'd within this filter and combined with other filters using AND.
singing, rapping, speaking, character, other ["singing"]
Number of voices to return (8-50)
8 <= x <= 5020
Pagination cursor for next page
"1_123e4567-e89b-12d3-a456-426614174000"